define([
    'angular',
    'uiRouter',    
    'fclick',
    'ocLazyLoad',           
    './controllers',    
    './services',
    './directives',
    './filters',
    'angularidle',
    'ngscroll',
    'angularAnimate',
    'bstrap',
    'btpls'
       
], function (ng, uiRouter, FastClick, ocLazyLoad, controllers, services, directives, filters, angularidle, ngscroll) {
    'use strict';    

    //Initailize the app and pull together all the dependancies here
    var Survey = ng.module('Survey', [
        'survey.services',
        'survey.controllers',
        'survey.directives',
        'survey.filters',
        'ui.router',
        'oc.lazyLoad',        
        'ngAnimate',
        'ui.bootstrap',
        'ngIdle',
        'duScroll'            
    ]);

    
    Survey.factory('$exceptionHandler', function(){
        return function(exception, cause){
            console.log(exception, cause);
        };
    });

    

    //Attach fast click plugin on to the app
    Survey.run(['$rootScope', '$state', '$stateParams', 'properties', 'Idle', 'settings', '$interval', function($rootScope, $state, $stateParams, properties, Idle, settings, $interval) {      
        
        Idle.watch();        

        $rootScope.$state = $state;
        $rootScope.$stateParams = $stateParams;        

        $rootScope.goTo = function(path){            
            $state.go(path);
        };

       
        FastClick.attach(document.body);

        $rootScope.$on("$stateChangeStart", function(event, toState, toParams, fromState, fromParams){
            
            properties.setCurrentURL(toState.name);

        });

        $rootScope.$on("$stateChangeSuccess", function(event, toState, toParams, fromState, fromParams){
        
            $rootScope.currenturl = properties.getCurrentURL();
            
        });


        $interval(function(){
            settings.companies();
        },1000);       


    }]);

    return Survey;
});