define(['./module', 'jquery'], function (controllers, jQuery) {
    'use strict';
    
    controllers.controller("HomeController", ["$scope", "$state", "$timeout", "settings", "$http", "Idle", "$document", function($scope, $state, $timeout, settings, $http, Idle, $document) {
	    
	      Idle.watch();	

	      $scope.$on('IdleTimeout', function() {	      	        
	        $state.go('landing');
	      });

	      $scope.$on('IdleStart', function() {
	        settings.notify('Idle timeout, you will be navigated to landing page.');
	      });

	      $scope.toTheTop = function() {
		      $document.scrollTopAnimated(0, 1000).then(function() {
		        //console.log('You just scrolled to the top!');
		      });
	      };

	      $timeout(function () {
	     	$scope.toTheTop();
	      },1000);
	     

	     $(document).on( 'scroll', function(){
 
			if ($(window).scrollTop() > 100) {
				$('.scroll-top-wrapper').addClass('show');
			} else {
				$('.scroll-top-wrapper').removeClass('show');
			}
			
		 });


	     /* ========== survey Form ===========*/
	     $scope.survey = {};
	     
	     $scope.survey.question_five = {
	       quality_of_our_proposals : false,
	       costs : false,
	       project_execution: false,
	       communication: false,
	       creativity_and_innovation: false,
	       customer_support: false
	     };

		 $scope.cancel_survey = function() {
	      		$scope.survey = {};
	      		$scope.survey.question_five = {
			       quality_of_our_proposals : false,
			       costs : false,
			       project_execution: false,
			       communication: false,
			       creativity_and_innovation: false,
			       customer_support: false
			     };
	      		$scope.survey_form.$setPristine();
	      		$scope.survey_form.$setUntouched();
	      };

	      $scope.surveyOk = function() {
	        
	        $scope.survey_form.submitted = false;
	        	        
	        if ($scope.survey_form.$valid) {
	            
	            //Submit form as normal
	            settings.show_wait();	            

	            var promise = settings.saveSurvey($scope.survey);

	            promise.then(function(data){	            	
            
            		var response = data.data;

            		if(response.success){
            			settings.notify(response.message);
            		}else{
                      settings.notify(response.error);
                    }

                    $scope.cancel_survey();

                    settings.hide_wait();

                    $timeout(function(){
                    	$state.go('landing');
                    },5500);
            
		        },function(error) { 
		            console.error(error);
		            settings.hide_wait();
		        });
	            
	            
	        }else {
	          $scope.survey_form.submitted = true;          
	        }

	      };

	     /*============ End of survey form =============*/
	     


	        	     
	}]);
});
