define(['./module', "wait"], function (services, waitMe) {
        
    services.factory('settings', ["$timeout", "$q", "$http", "properties", function($timeout, $q, $http, properties){
    	
      var host = 'http://www.izoneafrica.net/feedback/';
                      	
      var settings = {

          api_url: host + 'api/index.php/survey',                 

          notify : function(message){              
             
              $('.notice_message').html(message);

              $('.notifications').fadeIn(500,function(){
                  $(this).css({"display":"block"});
                  $('.overlay').css('display', 'block');
              });              

              $timeout(function() {
                
                $('.notifications').fadeOut(500,function(){
                      $(this).css({"display":"none"});
                      $('.overlay').css('display', 'none');
                });

              }, 4000);

          },  
        


          confirm : function(message){   

              var deferred = $q.defer();           
             
              $('.confirm_message').html(message);

              $('.confirm').fadeIn(500,function(){
                  $(this).css({"display":"block"});
                  $('.overlay').css('display', 'block');
              });              

              
              function close(){  
                $('.confirm').fadeOut(500,function(){
                      $(this).css({"display":"none"});
                      $('.overlay').css('display', 'none');
                }); 
              } 

              $('button.ok').on('click', function(){
                  close();
                  deferred.resolve(true);
              });

              $('button.cancel').on('click', function(){
                  close();
                  deferred.resolve(false);
              });

              return deferred.promise;               

          },


          show_wait  : function(){ 

              var opts = {
                effect: 'timer',
                text: 'Please wait...',
                bg: 'rgba(255,255,255,0.9)',
                color:'#00aeef',
                sizeW:'',
                sizeH:'',
                source: 'img/img.svg'
              };

              var target = $('.spinner');

              $('.spinner-overlay').css('display', 'block');
              $('.spinner').css('display', 'block');
              target.waitMe(opts);

          },

          hide_wait  : function(){

              var target = $('.spinner');
              $('.spinner-overlay').css('display', 'none');
              $('.spinner').css('display', 'none');
              target.waitMe("hide");

          },  

          getCompanies: function () {
              var that = this;
              return $http.get(that.api_url + '/companies/');              
          },


          companies: function(){
              
              var that = this;

              var promise = that.getCompanies();

              promise.then(function(data){

                  var response = data.data;

                  if(response.success){                      
                      properties.setCompanies(response.companies);
                  }

              },function(error){
                  console.log(error);
              });

          },


          saveSurvey: function(details){

              var postData = JSON.stringify({
                'company_id' : details.company_id,                
                'question_one' : details.question_one,
                'question_two' : details.question_two,
                'question_three' : details.question_three,
                'question_four' : details.question_four,
                'quality_of_our_proposals' : details.question_five.quality_of_our_proposals,
                'costs' : details.question_five.costs,
                'project_execution' : details.question_five.project_execution,
                'communication' : details.question_five.communication,
                'creativity_and_innovation' : details.question_five.creativity_and_innovation,
                'customer_support' : details.question_five.customer_support
              });              
              
              return $http({
                method: 'POST',
                url: settings.api_url + '/new/',
                headers: { 'Content-Type': 'application/json' },
                data: postData
              });

          },



          
      };    	

    	return settings;
      
    }]);

});
