//Configure all the files that the application needs
requirejs.config({
  baseUrl: "js",
  paths: {
    
    domReady: "vendor/domready/domReady",    
    jquery: "vendor/jquery/jquery-2.2.0.min",
    jmigrate: "vendor/jquery/jquery-migrate-1.4.1.min",   
    bstrap: "vendor/bootstrap/js/bootstrap.min",
    btpls: "vendor/bootstrap/ui-bootstrap-tpls-1.3.3.min", 
    fclick: "vendor/fastclick/fastclick",       
    jeasing: "vendor/jquery-easing/jquery.easing.1.3",
    ngscroll: "vendor/scroll/angular-scroll.min",       
    angularidle: "vendor/angular-idle/angular-idle.min",
    angular: "vendor/angular/angular",    
    angulartouch: "vendor/angular/angular-touch.min",
    angularmock: "vendor/angular/angular-mocks",    
    uiRouter: "vendor/uirouter/angular-ui-router.min",
    angularAnimate: "vendor/angular/angular-animate.min",    
    ocLazyLoad: "vendor/oclazy/ocLazyLoad.require.min",
    wait: "vendor/wait/waitMe.min"
    
  },

  shim: {       

	angular: {            
        exports: 'angular'
    },  

    bstrap: {
        deps: ['jquery', 'jmigrate']
    },

    btpls: {
        deps: ['bstrap','angular']
    },  

    jmigrate: {
        deps: ['jquery']
    }, 
           
    uiRouter: {
        deps: ['angular']
    },    

    ngscroll: {
        deps: ['angular']
    },

    angularidle: {
        deps: ['angular']
    },            

    ocLazyLoad:{
        deps: ['angular']
    },      

    wait: {
        deps: ['jquery'],
        exports: 'waitMe'
    },          
    
    angulartouch: {
        deps: ['angular']
    },

    angularmock: {
        deps: ['angular']
    },

    angularAnimate: {
        deps: ['angular']
    },
    
    fclick: {
        deps: ['jquery']
    },    

    jeasing: {
        deps: ['jquery']
    }
    
  },

  // kick start application
  deps: ['./bootstrap']

});
