/** define all the application routes 
 **/
define(['./app'], function(app) {
    'use strict';
    return app.config(["$stateProvider", "$urlRouterProvider", "$ocLazyLoadProvider", "IdleProvider", "KeepaliveProvider", "$sceDelegateProvider",  function($stateProvider, $urlRouterProvider, $ocLazyLoadProvider, IdleProvider, KeepaliveProvider, $sceDelegateProvider) {
        
        IdleProvider.idle(180); // in seconds
        IdleProvider.timeout(10); // in seconds
        KeepaliveProvider.interval(2); // in seconds


        $sceDelegateProvider.resourceUrlWhitelist([
            // Allow same origin resource loads.
            'self',
            // Allow loading from 192.168.1.* domain. 
            'http://192.168.1.*/**',

            // Allow loading from 192.168.0.* domain. 
            'http://192.168.0.*/**',

            // Allow loading from localhost domain. 
            'http://localhost/**',

            // Allow loading from localhost:3000 domain. 
            'http://localhost:3000/**'
        ]);

        $ocLazyLoadProvider.config({
            jsLoader: requirejs,
            debug: false,
            cssFilesInsertBefore: 'ng_load_plugins_before',
            modules: [
                
                {
                    name: 'maincss',
                    insertBefore: '#ng_load_plugins_before', 
                    files: ['css/main.css']
                }
            ]
        });

        
        $urlRouterProvider.otherwise('/landing');
        
        //Landing page route 
        $stateProvider.state('landing',{
            url: '/landing',            
            templateUrl: 'partials/landing.html',
            data: {pageTitle: 'Landing Page'},            
            controller:'LandingController'
        })
        
        .state('new',{
            url: '/new',            
            templateUrl: 'partials/new.html',
            data: {pageTitle: 'Feedback'},    
            controller:'HomeController'
        })

        .state('survey',{
            url: '/survey/:id',            
            templateUrl: 'partials/survey.html',
            params: {
                id: null
            },
            data: {pageTitle: 'Feedback'},    
            controller:'SurveyController',
            resolve: {
                id:function($stateParams){
                    return $stateParams.id;
                },
            }
        });

                     


    }])
});